HUGO-DEPLOY(1)Sep(2020)

Hugo 0.75.0 Hugo Manual

NAME

hugo-deploy - Deploy your site to a Cloud provider.

SYNOPSIS

hugo deploy [flags]

DESCRIPTION

Deploy your site to a Cloud provider.

See https://gohugo.io/hosting-and-deployment/hugo-deploy/ for detailed documentation.

OPTIONS

--confirm[=false]
    ask for confirmation before making changes to the target

--dryRun[=false]
    dry run

--force[=false]
    force upload of all files

-h, --help[=false]
    help for deploy

--invalidateCDN[=true]
    invalidate the CDN cache listed in the deployment target

--maxDeletes=256
    maximum # of files to delete, or -1 to disable

--target=""
    target deployment from deployments section in config file; defaults to the first one

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-e, --environment=""
    build environment

--ignoreVendor[=false]
    ignores any _vendor directory

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo(1)